BANK KALTENG - Bug #1327

[HR-COMPENSATION] Calculation masih ada yg kurang sesuai
07/04/2022 04:53 PM - Kezia Pawitra Yulianti

Status: Closed Start date: 07/04/2022
Priority: Immediate Due date: 07/06/2022
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 53.00 hours
Description

Dear Yomma,

berikut hasil test
- untuk fixed pay
1. Tidak bisa amount adjust dan pada kolom salary ratio muncul kotak merah sesuai capture di bawah ini

Fixed Pay
HOME > FIX PAY
Fixed Pay Calculation
Seenario Dese: 0011 - Fixed Pay 8KTz () (] E:‘ﬂfme " 10000169
Start Date: 01/01/2020 To:
End Date: 31 .'12.-20:3 i::::: ) ;2?:2:23

[ tmd ] Eeae |

Save Adjustment Export to Excel Execute to MD Payrol

Salary Ratio

Year Of Servi.. Wage Type Targ... Per ge Increa.. Incre.. Prorate Prorate Numb... Total Amo...

Amount Adjustm... Payroll Da.. Notes -

3 balan Kera 6500000.00 10.00 0.00 1.0000 7150000.00 24i04/2023

Cancsl

2. Saat calculate tahun 2022, data yg terambil sudah sesuai yaitu performance history tahun 2021. namun saat calculate untuk
payroll date 2023 msh tetap ambil perf history tahun 2021 juga. seharusnya ambil dr perf 2022
Skenario BKT2

- untuk variable pay

1. Saat calculate tahun 2022, data yg terambil sudah sesuai yaitu performance history tahun 2021. namun saat calculate untuk
payroll date 2023 msh tetap ambil perf history tahun 2021 juga. seharusnya ambil dr perf 2022

Skenario BKT2

Thanks

History

#1 - 07/05/2022 10:38 AM - Tri Rizqiaty
- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

Mba Yaya, untuk tahu mau calculate tahun berapanya dari field apa ya?
Soalny kalau dr StartDate/EndDate scenario kan range itu dr tahun 2020-2023.
Mohon pencerahannya..

#2 - 07/05/2022 11:40 AM - Kezia Pawitra Yulianti
- File clipboard-202207051134-uhpkh.png added
- File clipboard-202207051136-6t9kw.png added

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

dear Yomma,
sesuai diskusi, berikut adalah bbrp penambahan yg dibutuhkan yaa
1. di fix pay sudah ditambahkan 2 field d filter sbb
PDSCMFIXEDCALFILTER AppraisalType 5 APPRTYP 0
PDSCMFIXEDCALFILTER PerfPeriod ] PERFPERICD 0

2. di variable pay sudah d tambahkan 2 filter sbb

PDSCMWARIABLECALFILTER AppraisalTypel 5 APPRTYP
PDSCMWARIABLECALFILTER PerfPeriod b PERFPERIOD
payroll date digunakan untuk membatasi periode skenario yang ada di guideline -- mohon di koreksi ya yoms kalau salah atau gak sesuai dgn diskusi

siang ini

Thanks

#3 - 07/05/2022 04:57 PM - Tri Rizqiaty

- File Compensation Filter.xlsx added

- File Compensation.asmx added

- File MinovalS.MinovaES.Business.Compensation.dll added
- File MinovalS.MinovaES.Web.Api.V.1.dll added

- Status changed from Assigned to Developing

Fixing :

1. Update SDATATABLEFIELD - untuk filter calculate (sesuai file terlampir)
2. Update folder API2\bin : MinovalS.MinovaES.Business.Compensation.dll, MinovalS.MinovaES.Web.Api.V.1.dll (file terlampir)
3. Update folder API2 : Compensation.asmx (file terlampir)

#4 - 07/05/2022 04:57 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

#5 - 07/06/2022 11:09 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

Dear Yomma,

sesuai diskusi pagi ini berikut ya hasil testing nya:

1. untuk Variable pay msh belum ter calculate, tp nilai performance nya sudah muncul

2. untuk fix pay, mohon untuk ambil data gaji yg sesuai dan msh aktif pd periode payroll date yg dipilih (kondisi jika sudah ada data gaji yg terbaru
namun sebenarnya payroll date msh ada di rentang periode sebelum gaji baru berlaku)

3. untuk field salary ratio, td sudah d rubah jumlah karakternya di sdatatablefield menjadi 18 mengikuti yg ada di tabel fisik

Tks ya

#6 - 07/06/2022 02:41 PM - Tri Rizqgiaty

- File MinovalS.MinovaES.Business.Compensation.dll added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti
Fixing :

Update folder API12\bin : MinovalS.MinovaES.Business.Compensation.dll
#7 - 07/06/2022 04:27 PM - Kezia Pawitra Yulianti

- Status changed from QA Test to Deploy

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty
ok done

Tks ya

#8 - 07/13/2022 12:22 PM - Kezia Pawitra Yulianti
- File clipboard-202207131202-wgswq.png added

- Status changed from Deploy to Revise

Dear Yomma,
muncul keanehan Ig d variable pay pas klik button save adjustment ya.
saving sukses tp resultnya blank

' Save successfull. x

Dataset Compensation Fixed Calculation Filter

Scenario Desc: 0012 - Variable Pay BK (- [ 1 Employee ID
. From:
Appraisal Type: 03 - Final Appraisal
Employes ID To:
Performance Period: 2022 a
Payroll Date: 2052023
=)
Transaction Variable Pay
Exportto Excel | | Execute to MD Payrol
Start Da.. End Date | Scenar.. ployee Group ployee .. Company ID | Hiring Da... Position | Organizati.. I Cost Cent... Employes Ty... EmpSubTy.. Payroll Gro.. -
Mo Data Display \/
Help ya
Tks

#9 - 07/13/2022 12:23 PM - Kezia Pawitra Yulianti

sesuai diskusi ini fungsi button loadnya yg belum jalan ya

Tks

#10 - 07/20/2022 09:37 AM - Tri Rizqiaty
- File MinovalS.MinovaES.Business.Compensation.dll added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

Fixing :

Update API2\bin : MinovalS.MinovaES.Business.Compensation.dll

#11 - 07/20/2022 09:43 AM - Tri Rizqiaty

- File Parameter PCMEPRPTSELECTION.xIsx added

- File PRPTCMBONUS.rdl added

- File PRPTCMBONUS_20220713.sql added

- File PRPTCMBONUSHEAD_20220713.sql added

- File PRPTCMMERITHEAD_20220713.sql added

- File PRPTCMMERITINCREASE.rdl added

- File PRPTCMMERITINCREASE_20220713.sql added

Fixing Report :
1. Execute SP : PRPTCMMERITINCREASE.sql , PRPTCMMERITHEAD.sql, PRPTCMBONUS.sql, PRPTCMBONUSHEAD.sq| (file terlampir)

2. Deploy RDL : PRPTCMBONUS.rdl, PRPTCMMERITINCREASE.rdl (file terlampir)
3. Update table PCMEPRPTSELECTION - ReportID : 6000001, 6000002 sesuai file terlampir

#12 - 08/15/2022 05:27 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Closed
done

Files
